Subject: bug#72528: 29.2; ispell considers that entries in the private ispell

From: Uwe Brauer <[email-masked]>
Date: Fri, 09 Aug 2024 09:56:25 +0200

>>> "UB" == Uwe Brauer <[email-masked]> writes:

>> If it's really Ispell that you are using (not Aspell or Hunspell that
>> pretend to be Ispell), then you cannot use UTF-8, because Ispell
>> doesn't support it.  You must use 8-bit encoding such as Latin-1.

> Ok I used (setq  ispell-program-name "ispell")

> I tried now tried out aspell but then I receive 
> Debugger entered--Lisp error: (error "Error: The file \"/usr/lib/aspell/deutsch\" can not be opened for reading.")
>   signal(error ("Error: The file \"/usr/lib/aspell/deutsch\" can not be opened for reading."))
>   error("%s" "Error: The file \"/usr/lib/aspell/deutsch\" can not be opened for reading.")
>   ispell-init-process()
>   ispell-buffer-local-words()
>   ispell-accept-buffer-local-defs()
>   flyspell-accept-buffer-local-defs()
>   flyspell-word()
>   flyspell-post-command-hook()

> Hm I think I stick with latin-1.
Another problem, now changed to latin-1 I receive an error using latin-1

Debugger entered--Lisp error: (error #("@(#) International Ispell Version 3.4.06 30 Oct 20..." 0 52 (charset iso-8859-1) 53 98 (charset iso-8859-1) 100 144 (charset iso-8859-1) 146 190 (charset iso-8859-1) 192 238 (charset iso-8859-1) 240 284 (charset iso-8859-1) 286 329 (charset iso-8859-1) 331 376 (charset iso-8859-1) 378 422 (charset iso-8859-1) 424 468 (charset iso-8859-1) 470 516 (charset iso-8859-1) 518 562 (charset iso-8859-1) 564 607 (charset iso-8859-1)))
  signal(error (#("@(#) International Ispell Version 3.4.06 30 Oct 20..." 0 52 (charset iso-8859-1) 53 98 (charset iso-8859-1) 100 144 (charset iso-8859-1) 146 190 (charset iso-8859-1) 192 238 (charset iso-8859-1) 240 284 (charset iso-8859-1) 286 329 (charset iso-8859-1) 331 376 (charset iso-8859-1) 378 422 (charset iso-8859-1) 424 468 (charset iso-8859-1) 470 516 (charset iso-8859-1) 518 562 (charset iso-8859-1) 564 607 (charset iso-8859-1))))
  error("%s" #("@(#) International Ispell Version 3.4.06 30 Oct 20..." 0 52 (charset iso-8859-1) 53 98 (charset iso-8859-1) 100 144 (charset iso-8859-1) 146 190 (charset iso-8859-1) 192 238 (charset iso-8859-1) 240 284 (charset iso-8859-1) 286 329 (charset iso-8859-1) 331 376 (charset iso-8859-1) 378 422 (charset iso-8859-1) 424 468 (charset iso-8859-1) 470 516 (charset iso-8859-1) 518 562 (charset iso-8859-1) 564 607 (charset iso-8859-1)))
  ispell-init-process()
  ispell-buffer-local-words()
  ispell-accept-buffer-local-defs()
  flyspell-accept-buffer-local-defs()
  flyspell-word()
  flyspell-post-command-hook()
  run-hooks(post-command-hook)

-- 
I strongly condemn Hamas heinous despicable pogroms/atrocities on Israel
I strongly condemn Putin's war of aggression against Ukraine.
I support to deliver weapons to Ukraine's military. 
I support the EU and NATO membership of Ukraine.